<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

  <xsl:output method="html"/>

  <!-- $qid/$aid/$sid is the identity of the current question/section -->

  <xsl:template name="banner">
    <div class="logo">
      <a title="Go to Silmaril Consultants homepage" href="http://silmaril.ie/">
        <img border="0" src="/images/silmaril-logo-crop.png" width="113"
          alt="Silmaril Information Management Consultants"/>
      </a>
      <br/>
      <img alt="Counter" width="72" 
        title="Counter of how many hits we've had"
        src="http://epu.ucc.ie/cgi-bin/Count.cgi?df=xmlfaq.dat&amp;ft=2&amp;prgb=6699cc&amp;trgb=000000&amp;frgb=666600"/>
      <xsl:text>&#xa0;</xsl:text>
      <a title="Print this page without menus or ads" 
        href="/cgi-bin/uncgi/print.pdf">
        <img src="/images/printer1.png" border="0" alt="Print" 
          width="22" height="22"/>
      </a>
      <br/>
      <span class="editor">
        <xsl:text>Editor: </xsl:text>
        <a href="{qandaset/blockinfo/editor/email}" target="_blank">
          <xsl:value-of select="qandaset/blockinfo/editor/firstname"/>
          <xsl:text> </xsl:text>
          <xsl:value-of select="qandaset/blockinfo/editor/surname"/>
        </a>
      </span>
    </div>
    
    <div class="searchbox">
      <form name="search" action="/cgi-bin/uncgi/search-faq" 
        method="post" class="search">
        <p id="searchInputCell" class="search">
          <input type="text" class="search" name="term" 
            id="terms" onmouseover="changeClass('cluster')"/>
          <xsl:text>&#xa0;</xsl:text>
          <input type="submit" value="Search"/>
          <xsl:text>&#xa0;</xsl:text>
          <a class="rss" href="/rss.xml"/>
        </p> 
      </form>
      <!-- AddThis Button BEGIN -->
      <div class="addthis_toolbox addthis_default_style" align="center"
        style="text-align:center;padding-left:12px;padding-bottom:6px;">
        <a 
          href="http://www.addthis.com/bookmark.php?v=250&amp;username=liramlis" 
          class="addthis_button_compact">Share</a>
        <span class="addthis_separator">|</span>
        <a class="addthis_button_preferred_1"></a>
        <a class="addthis_button_preferred_2"></a>
        <a class="addthis_button_preferred_3"></a>
        <a class="addthis_button_preferred_4"></a>
      </div> 
      <script type="text/javascript">
        <xsl:text>var addthis_config = {"data_track_clickback":true};</xsl:text>
      </script>
      <script type="text/javascript" 
        src="http://s7.addthis.com/js/250/addthis_widget.js#username=liramlis"/>
      <!-- AddThis Button END -->
    </div>

    <div class="pagetitle">
      <h1>
        <img src="/images/xmllogo-crop.png" class="title-logo" 
          alt="XML icon" align="right"/>
        <a href="/faq.mm" title="XML FAQ MindMap">
          <img src="/images/freemind.png" class="mm-logo" border="0"
            height="32" alt="MindMap icon" valign="top" align="right"/>
        </a>
        <xsl:value-of select="/qandaset/blockinfo/titleabbrev"/>
        <xsl:text>&#xa0;— </xsl:text>
        <xsl:value-of select="/qandaset/blockinfo/title"/>
      </h1>
      <h2>
        <xsl:attribute name="title">
          <xsl:text>This page has the </xsl:text>
          <xsl:choose>
            <xsl:when test="$qid">
              <xsl:text>answers to Question </xsl:text>
              <xsl:for-each select="//qandaentry[@id=$qid]">
                <xsl:number count="qandadiv | qandaentry" level="multiple"
                  format="A.1"/>
              </xsl:for-each>
            </xsl:when>
            <xsl:otherwise>
              <xsl:text>details of </xsl:text>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:attribute>
        <xsl:choose>
          <xsl:when test="//qandaentry[@id=$qid]">
            <xsl:apply-templates 
              select="//qandaentry[@id=$qid]/parent::qandadiv/title/node()"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:choose>
              <xsl:when test="//*[@id=$qid]/title">
                <xsl:apply-templates 
                  select="//*[@id=$qid]/title/node()"/>
              </xsl:when>
              <xsl:otherwise>
                <xsl:value-of select="translate(substring($qid,1,1),
                                      'abcdefghijklmnopqrstuvwxyz',
                                      'ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
                <xsl:value-of select="substring($qid,2)"/>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:otherwise>
        </xsl:choose>
      </h2> 
    </div>
  </xsl:template>

  <xsl:template name="z39.88">
        <span class="Z3988">
      <xsl:attribute name="title">
        <xsl:text>ctx_ver=Z39.88-2004&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rfr_id=info%3Asid%2Fsilmaril.ie%3AThe%20XML%20FAQ&amp;rft_id=http://xml.silmaril.ie%2F</xsl:text>
        <xsl:choose>
          <xsl:when test="$qid!=''">
            <xsl:value-of select="//qandaentry[@id=$qid]/parent::qandadiv/@id"/>
            <xsl:text>%2F</xsl:text>
            <xsl:value-of select="$qid"/>
          </xsl:when>
          <xsl:when test="$aid!=''">
            <xsl:value-of select="//qandaentry[@id=$aid]/parent::qandadiv/@id"/>
            <xsl:text>%2F</xsl:text>
            <xsl:value-of select="$aid"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="$sid"/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>%2Findex.html&amp;rft.jtitle=The%20XML%20FAQ&amp;rft.aufirst=Peter&amp;rft.aulast=Flynn&amp;rft.place=Cork&amp;rft.pub=Silmaril%20Consultants&amp;rft.date=</xsl:text>
        <xsl:value-of select="substring-before($date,'T')"/>
        <xsl:text>&amp;rft.issue=</xsl:text>
        <xsl:value-of 
          select="/qandaset/blockinfo/revhistory/revision[position()=last()]/revnumber"/>
        <xsl:text>&amp;rft.genre=article&amp;rft.atitle=</xsl:text>
        <xsl:call-template name="urlencode">
          <xsl:with-param name="string">
            <xsl:apply-templates 
              select="//*[@id=$qid or @id=$aid or @id=$sid]/title"/>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:attribute>
      <xsl:text>&#xa0;</xsl:text>
    </span>
  </xsl:template>

  <xsl:template name="scripting">
    <script type="text/javascript">
function changeClass(objDivID) {
  if(document.getElementById(objDivID).className=='hide') {
    document.getElementById(objDivID).className = 'show';
  } else {
    document.getElementById(objDivID).className = 'hide';
  }
}
function insert(string,loc) {
  var tag = document.getElementById(loc);
  var oldcol = tag.style.color.value;
  tag.style.color = 'red';
  var container = document.getElementById('searchInputCell');
  var inputfield = document.getElementById('terms');
  var flag = document.createElement('input');
      flag.setAttribute('name','source');
      flag.setAttribute('type','hidden');
      flag.setAttribute('value','cloud');
      flag.setAttribute('id','flag');
  container.insertBefore(flag,inputfield);
  document.search.terms.value=string;
  tag.style.color = oldcol;
  document.search.submit();
}
    </script>
    <style type="text/css">
div#cluster { width:20%; 
              text-align:center;
              background-color:white;
              border:solid 1px #666600; 
              line-height:12pt; 
              z-index:3; 
              position:absolute;
              right:10px; 
              top:60px;
              font-family:serif; }
div#cluster h6 { margin:0px; 
                 margin-bottom:2px;
                 padding:0px;
                 padding-bottom:1px;
                 font-family:sans-serif;
                 background-color:#666600; 
                 color:white;
                 font-family:sans-serif; }
div.hide { visibility:hidden; }
div.show { visibility:visible; }
span.tag { text-decoration:none; 
           padding-left:1px; 
           padding-right:1px; 
           cursor:pointer; }
img.closebutton { text-align:right; 
                  border:solid 1px white;
                  margin:2px;
                  font-family:sans-serif;
                  width:1em;
                  cursor:pointer; }
    </style>
    <!--
      <td class="searchInputCell" id="searchInputCell">
        <input type="text" name="terms" id="terms" class="searchInput"
               onmouseover="changeClass('cluster')" />
      </td>
      -->
  </xsl:template>

  <xsl:template name="docloud">
    <div id="cluster" class="hide">
      <h6>
        <img class="closebutton" onclick="changeClass('cluster')" 
          align="right" src="/images/active-close-button.png" 
          height="10" alt="×" border="0"/>
        <xsl:text>Top 20 recent searches</xsl:text>
      </h6>
      <script type="text/javascript" src="/tagcloud.js"></script>
    </div>
  </xsl:template>

</xsl:stylesheet>
