<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">

  <xsl:output method="html"/>
  <xsl:include href="metadata.xsl"/>
  <xsl:include href="banner.xsl"/>
  <xsl:include href="content.xsl"/>
  <xsl:include href="utilities.xsl"/>
  <xsl:include href="nav.xsl"/>

  <xsl:param name="aid"/>
  <xsl:param name="qid"/>
  <xsl:param name="sid"/>
  <xsl:param name="date"/>

  <xsl:variable name="cid">
    <xsl:choose>
      <xsl:when test="$sid!=''">
        <xsl:value-of select="$sid"/>
      </xsl:when>
      <xsl:when test="$qid!=''">
        <xsl:value-of select="$qid"/>
      </xsl:when>
      <xsl:when test="$aid!=''">
        <xsl:value-of select="$aid"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text></xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <xsl:variable name="gtype">
    <xsl:text>png</xsl:text>
  </xsl:variable>

  <xsl:template match="/">
    <html>
      <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <title>
          <xsl:value-of select="/qandaset/blockinfo/titleabbrev"/>
        </title>
        <link type="text/css" href="/xmlfaq.css" rel="stylesheet"/>
        <xsl:call-template name="metadata"/>
        <xsl:call-template name="scripting"/>
      </head>
      <body>
        <xsl:call-template name="docloud"/>
        <xsl:call-template name="banner"/>
        <xsl:call-template name="z39.88"/>
        <xsl:call-template name="nav"/>
        <div class="content">
          <xsl:apply-templates select="//*[@id=$qid]"/>
        </div>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>
