<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

  <xsl:template name="getmonth">
    <xsl:param name="month"/>
    <xsl:choose>
      <xsl:when test="$month=1">
        <xsl:text>January</xsl:text>
      </xsl:when>
      <xsl:when test="$month=2">
        <xsl:text>February</xsl:text>
      </xsl:when>
      <xsl:when test="$month=3">
        <xsl:text>March</xsl:text>
      </xsl:when>
      <xsl:when test="$month=4">
        <xsl:text>April</xsl:text>
      </xsl:when>
      <xsl:when test="$month=5">
        <xsl:text>May</xsl:text>
      </xsl:when>
      <xsl:when test="$month=6">
        <xsl:text>June</xsl:text>
      </xsl:when>
      <xsl:when test="$month=7">
        <xsl:text>July</xsl:text>
      </xsl:when>
      <xsl:when test="$month=8">
        <xsl:text>August</xsl:text>
      </xsl:when>
      <xsl:when test="$month=9">
        <xsl:text>September</xsl:text>
      </xsl:when>
      <xsl:when test="$month=10">
        <xsl:text>October</xsl:text>
      </xsl:when>
      <xsl:when test="$month=11">
        <xsl:text>November</xsl:text>
      </xsl:when>
      <xsl:when test="$month=12">
        <xsl:text>December</xsl:text>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="id-details">
    <xsl:choose>
      <xsl:when test="$sid!=''">
        <xsl:value-of select="normalize-space(
                              //qandadiv[@id=$sid]/title)"/>
      </xsl:when>
      <xsl:when test="$qid!=''">
        <xsl:value-of select="normalize-space(
                              //qandaentry[@id=$qid]
                              /question/formalpara/title)"/>
      </xsl:when>
      <xsl:when test="$aid!=''">
        <xsl:choose>
          <xsl:when test="$aid='yes'">
            <xsl:text>Administration</xsl:text>
          </xsl:when>
          <xsl:when test="//*[@id=$aid]/title">
            <xsl:value-of select="normalize-space(
                                  //*[@id=$aid]/title)"/>
          </xsl:when>
          <xsl:when test="//*[@id=$aid][@role]">
            <xsl:value-of select="normalize-space(
                                  //*[@id=$aid]/@role)"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:text> </xsl:text>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of 
              select="normalize-space(/qandaset/blockinfo/titleabbrev)"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="urlencode">
    <xsl:param name="string"/>
    <xsl:if test="string-length($string)>0">
      <xsl:choose>
        <xsl:when test="document('urlencode.xml')/chars/char/@glyph
                        =substring($string,1,1)">
          <xsl:value-of select="document('urlencode.xml')/chars/char
                                [@glyph=substring($string,1,1)]/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="substring($string,1,1)"/>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:call-template name="urlencode">
        <xsl:with-param name="string" select="substring($string,2)"/>
      </xsl:call-template>
    </xsl:if>
  </xsl:template>

</xsl:stylesheet>
